﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using Ascon.Pilot.SDK;
using Ascon.Pilot.SDK.Controls.ObjectCardView;
using ProjectCloneWizard.ObjectsTree;

namespace ProjectCloneWizard.Common
{
    class CreationInfo
    {
        public CreationInfo()
        {
            CopyAccessForObjects = false;
            CopyAccessForFiles = false;
        }
        public IDataObject Parent { get; set; }
        public NodeViewModel Template { get; set; }
        public bool CopyAccessForObjects { get; set; }
        public bool CopyAccessForFiles { get; set; }
        public ReadOnlyObservableCollection<NodeViewModel> ObjectsNodes { get; set; }
        public ReadOnlyObservableCollection<NodeViewModel> StorageNodes { get; set; }
        public Dictionary<string, DValue> Attributes { get; set; }
        public Exception Exception { get; set; }
        public Guid ObjectIdToShow { get; set; }
    }
}
