﻿using System;
using Ascon.Pilot.SDK;
using DynamicData;

namespace ProjectCloneWizard.Data
{
    public interface IDataObjectService : IDisposable
    {
        IObservableCache<IDataObject, Guid> DataObjects { get; }
        void Load(Guid id, Action nothingLoaded, bool isAddParent = false);
    }
}
